# Class yii\httpclient\Exception

Inheritance | yii\httpclient\Exception » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/Exception.php

Exception represents an exception that is caused during HTTP requests.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\httpclient\Exception

## Method Details

Hide inherited methods

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        return 'HTTP Client Exception';
    }